<?php

class Model_Moodle_Usuario extends Pampa_Db_Row {

  public function verificaInscricaoByCursoId($curso_id)
  {
    $modelLinks = new Model_Moodle_Cursos();
    $inscricoes = $modelLinks->getByUsuarioId($this->id);
    foreach ($inscricoes as  $insc) {
      if($insc->courseid == $curso_id){
        return true;
      }
    }

    return false;
  }
   public function getPreinscricoes()
  {
    $modelLinks = new Model_Moodle_Cursos_Inscricoes();
    $inscricoes = $modelLinks->getByUserId($this->id);
    

    return $inscricoes;
  }
   

  

}